﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace W509CS
{
    class ConfigStr
    {
        public const String COMMENTCHAR = "#";
        public const String DEFSTARTSTR = "Begin";
        public const String DEFENDSTR   = "End";
        public const String DEFAULTSTR = "Default";

        public const String IDWORDSTR   = "DeviceIDWord";
        public const String IDADDRSTR   = "UserIDAddress";
        public const String UIDMASKSTR = "UserIDMask"; // W509VCS **************
        public const String PWUPTYPESTR = "PowerUPType";
        public const String PMMASKSTR   = "ProgramMemoryMask";
        public const String PMSIZESTR   = "ProgramMemorySize";
        public const String DATASIZESTR   = "EEDataMemorySize";
        public const String DATAADDRSTR = "EEDataAddress";
        public const String CFGSIZESTR = "ConfigDispSize";  //??
        public const String CFGADDR1STR = "ConfigAddress1";
        public const String CFGADDR2STR = "ConfigAddress2";
        public const String CFGMSK1STR  = "ConfigMask1";
        public const String CFGMSK2STR  = "ConfigMask2";
        //public const String CALBADDR1STR= "CalibAddress1";
        //public const String CALBADDR2STR= "CalibAddress2";
        //public const String CALBMASK1STR= "CalibMask1";
        //public const String CALBMASK2STR= "CalibMask2";
        public const String CALBADDRSTR = "CalibAddress";
        public const String CALBMASKSTR = "CalibMask";
        public const String PRGTYPESTR  = "ProgrammingType";
        public const String PRGTYPECSTR = "ProgrammingTypeC";
        public const String PRGWAITSTR  = "ProgrammingWait";
        public const String PRGWAITDSTR = "ProgrammingWaitD";
        public const String PRGWAITCSTR = "ProgrammingWaitC";
        public const String PRGLATCHSTR = "ProgrammingLatch";
        public const String ERSTYPESTR  = "EraseType";
        public const String ERSWAITSTR  = "EraseWait";
        public const String PAMASKSTR   = "PaMask";
        public const String LVPSTR      = "LVP";
        public const String CALBACKUPSTR   = "CalBackUp";

        public const String PRGMEMADDRSTR = "ProgramMemoryAddress";
        public const String CFGMEMADDRSTR = "ConfigMemoryAddress";
        public const String DATMEMADDRSTR = "DataMemoryAddress";

        public const String VDDVPPSTR   = "VddBeforeVpp";
        public const String VPPVDDSTR   = "VppBeforeVdd";

        public const String INT08STR    = "Internal08";
        public const String INT18STR    = "Internal18";
        public const String EXT08STR    = "External08";
        public const String EXT18STR    = "External18";

        public const String BESF509STR  = "BulkEraseF509";
        public const String BESF675STR  = "BulkEraseF675";
        public const String BESF683STR  = "BulkEraseF683";
        public const String BESF84STR   = "BulkEraseF84";
        public const String BESF648ASTR = "BulkEraseF648A";
        public const String CESF88STR   = "ChipEraseF88";
        public const String CESF77STR   = "ChipEraseF77";

        public const String YES = "Yes";
        public const String NO = "No";


    }
}
